List Latest Evaluation Summaries By Agent
Return the latest completed evaluation summary per agent for the team.
Uses server-side grouping (one row per agent_id with max completed_at). No pagination; returns at most one summary per agent that has a completed evaluation.
GET
/
v1
/
evaluation-summaries
/
latest-by-agent
List Latest Evaluation Summaries By Agent
curl --request GET \
--url https://api.example.com/v1/evaluation-summaries/latest-by-agentimport requests
url = "https://api.example.com/v1/evaluation-summaries/latest-by-agent"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/evaluation-summaries/latest-by-agent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/evaluation-summaries/latest-by-agent"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tested_by": "<string>",
"status": "<string>",
"created_at": 123,
"reliability_score": 123,
"security_score": 123,
"safety_score": 123,
"overall_score": 123,
"pillar_details": {},
"harness_names": [
"<string>"
],
"harness_type": "<string>",
"resource_version": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"completed_at": 123,
"request_params": {}
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Query Parameters
Team ID to list latest summary per agent for
Response
Successful Response
Response model for a paginated list of evaluation summaries.
Hide child attributes
Hide child attributes
Last modified on April 21, 2026
Was this page helpful?
⌘I
List Latest Evaluation Summaries By Agent
curl --request GET \
--url https://api.example.com/v1/evaluation-summaries/latest-by-agentimport requests
url = "https://api.example.com/v1/evaluation-summaries/latest-by-agent"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/evaluation-summaries/latest-by-agent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/evaluation-summaries/latest-by-agent"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tested_by": "<string>",
"status": "<string>",
"created_at": 123,
"reliability_score": 123,
"security_score": 123,
"safety_score": 123,
"overall_score": 123,
"pillar_details": {},
"harness_names": [
"<string>"
],
"harness_type": "<string>",
"resource_version": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"completed_at": 123,
"request_params": {}
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}